Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605366 - Stop breaking GSS sealed connections at orioginal credentials expiration time
Stop breaking GSS sealed connections at orioginal credentials expiration time
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: krb5 (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Nalin Dahyabhai
Zbysek MRAZ
:
Depends On:
Blocks: 605367
  Show dependency treegraph
 
Reported: 2010-06-17 14:17 EDT by Simo Sorce
Modified: 2016-01-22 12:07 EST (History)
5 users (show)

See Also:
Fixed In Version: krb5-1.8.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 605367 (view as bug list)
Environment:
Last Closed: 2010-11-10 16:01:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2010-06-17 14:17:09 EDT
The current behaviot of the GSSAPI library is to break GSS wrap/unwrap operations when the original ticket, used to set up the connection, expires.

Recently upstream has finally decided that this is not useful and has committed changes to trunk to change this behaviour. Applications can still query GSSAPI and tear down the connection when the original ticket expires if they want so.

We should backport these changes in RHEL 6 as this was a popular request from many stakeholders.
Comment 1 Simo Sorce 2010-06-17 14:18:27 EDT
Upstream bug:
http://krbdev.mit.edu/rt/Ticket/Display.html?id=6739
(Includes pointers to the patches needed)
Comment 2 RHEL Product and Program Management 2010-06-17 14:33:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 releng-rhel@redhat.com 2010-11-10 16:01:10 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.